# Uses of Interface
org.osgi.framework.wiring.BundleCapability

Packages that use BundleCapability
Package
Description
org.apache.felix.framework
org.apache.felix.framework.capabilityset
org.apache.felix.framework.resolver
org.apache.felix.framework.util
org.apache.felix.framework.util.manifestparser
org.apache.felix.framework.wiring
org.osgi.framework.hooks.resolver
Framework Resolver Hooks Package Version 1.0.
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.

## Uses of BundleCapability in org.apache.felix.framework

Methods in org.apache.felix.framework that return types with arguments of type BundleCapability
Modifier and Type
Method
Description
`List<BundleCapability>`
ResolveContextImpl.`findProviders(BundleRequirement br, boolean obeyMandatory)`
`List<BundleCapability>`
BundleWiringImpl.`getCapabilities(String namespace)`
`List<BundleCapability>`
BundleRevisionImpl.`getDeclaredCapabilities(String namespace)`
Method parameters in org.apache.felix.framework with type arguments of type BundleCapability
Modifier and Type
Method
Description
`int`
ResolveContextImpl.`insertHostedCapability(List<BundleCapability> caps, HostedCapability hc)`

## Uses of BundleCapability in org.apache.felix.framework.capabilityset

Methods in org.apache.felix.framework.capabilityset that return types with arguments of type BundleCapability
Modifier and Type
Method
Description
`Set<BundleCapability>`
CapabilitySet.`match(SimpleFilter sf, boolean obeyMandatory)`
Methods in org.apache.felix.framework.capabilityset with parameters of type BundleCapability
Modifier and Type
Method
Description
`void`
CapabilitySet.`addCapability(BundleCapability cap)`
`static boolean`
CapabilitySet.`matches(BundleCapability cap, SimpleFilter sf)`
`void`
CapabilitySet.`removeCapability(BundleCapability cap)`

## Uses of BundleCapability in org.apache.felix.framework.resolver

Subinterfaces of BundleCapability in org.apache.felix.framework.resolver
Modifier and Type
Interface
Description
`interface`
`HostedCapability`
Classes in org.apache.felix.framework.resolver that implement BundleCapability
Modifier and Type
Class
Description
`class`
`WrappedCapability`
Methods in org.apache.felix.framework.resolver that return BundleCapability
Modifier and Type
Method
Description
`BundleCapability`
ResolverWire.`getCapability()`
Returns the associated capability from the exporting bundle revision that satisfies the requirement of the importing bundle revision.
`BundleCapability`
HostedCapability.`getDeclaredCapability()`
`BundleCapability`
WrappedCapability.`getDeclaredCapability()`
Methods in org.apache.felix.framework.resolver that return types with arguments of type BundleCapability
Modifier and Type
Method
Description
`abstract List<BundleCapability>`
ResolveContext.`findProviders(BundleRequirement br, boolean obeyMandatory)`
Methods in org.apache.felix.framework.resolver with parameters of type BundleCapability
Modifier and Type
Method
Description
`int`
CandidateComparator.`compare(BundleCapability cap1, BundleCapability cap2)`
Method parameters in org.apache.felix.framework.resolver with type arguments of type BundleCapability
Modifier and Type
Method
Description
`abstract int`
ResolveContext.`insertHostedCapability(List<BundleCapability> caps, HostedCapability hc)`

## Uses of BundleCapability in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return BundleCapability
Modifier and Type
Method
Description
`static BundleCapability`
Util.`getPackageCapability(BundleRevision br, String name)`
Methods in org.apache.felix.framework.util that return types with arguments of type BundleCapability
Modifier and Type
Method
Description
`static List<BundleCapability>`
Util.`getCapabilityByNamespace(BundleRevision br, String namespace)`
Returns all the capabilities from a module that has a specified namespace.
Methods in org.apache.felix.framework.util with parameters of type BundleCapability
Modifier and Type
Method
Description
`void`
SecureAction.`invokeResolverHookSingleton(ResolverHook rh, BundleCapability singleton, Collection<BundleCapability> collisions)`
Method parameters in org.apache.felix.framework.util with type arguments of type BundleCapability
Modifier and Type
Method
Description
`void`
SecureAction.`invokeResolverHookMatches(ResolverHook rh, BundleRequirement req, Collection<BundleCapability> candidates)`
`void`
SecureAction.`invokeResolverHookSingleton(ResolverHook rh, BundleCapability singleton, Collection<BundleCapability> collisions)`

## Uses of BundleCapability in org.apache.felix.framework.util.manifestparser

Methods in org.apache.felix.framework.util.manifestparser that return types with arguments of type BundleCapability
Modifier and Type
Method
Description
`List<BundleCapability>`
ManifestParser.`getCapabilities()`
`static List<BundleCapability>`
ManifestParser.`parseExportHeader(Logger logger, BundleRevision owner, String header, String bsn, Version bv)`

## Uses of BundleCapability in org.apache.felix.framework.wiring

Classes in org.apache.felix.framework.wiring that implement BundleCapability
Modifier and Type
Class
Description
`class`
`BundleCapabilityImpl`
Methods in org.apache.felix.framework.wiring that return BundleCapability
Modifier and Type
Method
Description
`BundleCapability`
BundleWireImpl.`getCapability()`
Methods in org.apache.felix.framework.wiring with parameters of type BundleCapability
Modifier and Type
Method
Description
`boolean`
BundleRequirementImpl.`matches(BundleCapability cap)`
Constructors in org.apache.felix.framework.wiring with parameters of type BundleCapability
Modifier
Constructor
Description
``
`BundleWireImpl(BundleRevision requirer, BundleRequirement req, BundleRevision provider, BundleCapability cap)`

## Uses of BundleCapability in org.osgi.framework.hooks.resolver

Methods in org.osgi.framework.hooks.resolver with parameters of type BundleCapability
Modifier and Type
Method
Description
`void`
ResolverHook.`filterSingletonCollisions(BundleCapability singleton, Collection<BundleCapability> collisionCandidates)`
Filter singleton collisions hook method.
Method parameters in org.osgi.framework.hooks.resolver with type arguments of type BundleCapability
Modifier and Type
Method
Description
`void`
ResolverHook.`filterMatches(BundleRequirement requirement, Collection<BundleCapability> candidates)`
Filter matches hook method.
`void`
ResolverHook.`filterSingletonCollisions(BundleCapability singleton, Collection<BundleCapability> collisionCandidates)`
Filter singleton collisions hook method.

## Uses of BundleCapability in org.osgi.framework.wiring

Methods in org.osgi.framework.wiring that return BundleCapability
Modifier and Type
Method
Description
`BundleCapability`
BundleWire.`getCapability()`
Returns the `BundleCapability` for this wire.
Methods in org.osgi.framework.wiring that return types with arguments of type BundleCapability
Modifier and Type
Method
Description
`Collection<BundleCapability>`
FrameworkWiring.`findProviders(Requirement requirement)`
Find bundle capabilities that match the given requirement.
`List<BundleCapability>`
BundleWiring.`getCapabilities(String namespace)`
Returns the capabilities provided by this bundle wiring.
`List<BundleCapability>`
BundleRevision.`getDeclaredCapabilities(String namespace)`
Returns the capabilities declared by this bundle revision.
Methods in org.osgi.framework.wiring with parameters of type BundleCapability
Modifier and Type
Method
Description
`boolean`
BundleRequirement.`matches(BundleCapability capability)`
Returns whether the specified capability matches this requirement.